package com.aucma.report.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 切换订单管理对象 record_switch_order
 *
 * @author Yinq
 * @date 2024-04-23
 */
public class RecordSwitchOrder extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    @Excel(name = "主键标识")
    private Long objId;

    /**
     * 箱体码
     */
    @Excel(name = "箱体码")
    private String materialBarcode;

    /**
     * 切换工位编号
     */
    @Excel(name = "切换工位编号")
    private String switchStationCode;

    /**
     * 切换工位名称
     */
    @Excel(name = "切换工位名称")
    private String switchStationName;

    /**
     * 原订单编号
     */
    @Excel(name = "原订单编号")
    private String oldOrderCode;

    /**
     * 切换订单标识
     */
    @Excel(name = "切换订单标识")
    private String isSwitch;

    /**
     * 订单编号
     */
    @Excel(name = "订单编号")
    private String orderCode;

    /**
     * 打印标识
     */
    @Excel(name = "打印标识")
    private String isPrint;


    public String getSwitchStationName() {
        return switchStationName;
    }

    public void setSwitchStationName(String switchStationName) {
        this.switchStationName = switchStationName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setMaterialBarcode(String materialBarcode) {
        this.materialBarcode = materialBarcode;
    }

    public String getMaterialBarcode() {
        return materialBarcode;
    }

    public void setSwitchStationCode(String switchStationCode) {
        this.switchStationCode = switchStationCode;
    }

    public String getSwitchStationCode() {
        return switchStationCode;
    }

    public void setOldOrderCode(String oldOrderCode) {
        this.oldOrderCode = oldOrderCode;
    }

    public String getOldOrderCode() {
        return oldOrderCode;
    }

    public void setIsSwitch(String isSwitch) {
        this.isSwitch = isSwitch;
    }

    public String getIsSwitch() {
        return isSwitch;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setIsPrint(String isPrint) {
        this.isPrint = isPrint;
    }

    public String getIsPrint() {
        return isPrint;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("materialBarcode", getMaterialBarcode())
                .append("switchStationCode", getSwitchStationCode())
                .append("oldOrderCode", getOldOrderCode())
                .append("isSwitch", getIsSwitch())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("orderCode", getOrderCode())
                .append("isPrint", getIsPrint())
                .toString();
    }
}
